      subroutine getpv (itime,xt,yt,zt, pvt,theta,ngrid)
C                         i   i  i  i    o    o
C
C     Calculation of the potential vorticiy (PV) on an isentropic surface
C
C        MM5: DUMMY-VERSION (Calculation of theta, pv set -99.99)
C

      include 'includepar'
      include 'includecom'

      integer itime,indexf,ngrid
      real xt,yt,zt,pvt,theta,xtn,ytn

 
C  Determine the times of the wind fields needed for interpolation

      if ( (ldirect*memtime(1) .lt. ldirect*itime) .and.
     &     (ldirect*memtime(2) .ge. ldirect*itime) ) then ! between 1st and 2nd
        indexf=1
      else if ( (ldirect*memtime(2) .lt. ldirect*itime) .and. 
     &     (ldirect*memtime(3) .ge. ldirect*itime) ) then ! between 2nd and 3rd
        indexf=2
      endif

C     determine potential temperature theta at trajectory position
      if (ngrid.gt.0) then       ! nested grid
        xtn=(xt-xln(ngrid))*xresoln(ngrid)
        ytn=(yt-yln(ngrid))*yresoln(ngrid)
        call potlininterpoln(ttn,psn,maxnests,nxmaxn,nymaxn,nuvzmax,
     +  ngrid,nxn,nyn,nuvz,memind,sigmahalf,ptop,xtn,ytn,zt,
     +  memtime(indexf),memtime(indexf+1),itime,indexf,theta)
      else                       ! mother grid
        call potlininterpol(tt,ps,nxmax,nymax,nuvzmax,nx,ny,nuvz,
     +  memind,sigmahalf,ptop,xt,yt,zt,memtime(indexf),
     +  memtime(indexf+1),itime,indexf,theta)
      endif


      pvt = -99.999
      return

      end
